View Issue Details

IDProjectCategoryView StatusLast Update
0001305XdebugUsage problems (Wrong Results)public2017-12-02 16:19
ReporteriliasmAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSCentOSOS Version6.7 Final
Product Version2.4.0 
Target VersionFixed in Version2.6.0alpha1 
Summary0001305: "can not get property" error
DescriptionWhen an associative array's first level key contains an apostrophe character, it produces a "can not get property" error. Otherwise, I must be doing something very wrong!
Steps To Reproduce<?php

$settings = array();

//This doesn't work
$settings["One's Stuff"]['id'] = 1;
$settings["Another's Stuff"]['id'] = 2;

//This works
$settings["Ones Stuff"]['id'] = 3;
$settings["Anothers Stuff"]['id'] = 4;
TagsNo tags attached.
Operating System
PHP Version5.4.45-5.4.50

Activities

iliasm

2016-05-18 13:04

reporter  

derick

2016-05-18 13:47

administrator   ~0003606

Please follow the instructions at https://xdebug.org/support.php#remote on how to reproduce DBGp/remote debugging issues.

iliasm

2016-05-23 09:09

reporter  

xdebug log.txt (56,972 bytes)
[root@vagrant-centos64 tmp]# tail -f xdebug.log

<- context_get -i 15 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="15" context="0"><property name="$settings" fullname="$settings" type="uninitialized"></property></response>

<- context_get -i 16 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="16" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="7" page="0" pagesize="100"><property name="__utma" fullname="$_COOKIE[&#39;__utma&#39;]" type="string" size="54" encoding="base64"><![CDATA[MTExODcyMjgxLjI5NTczNTA1Mi4xNDYyODgxNjgwLjE0NjI4OTY2NzUuMTQ2MzA0MTYzOC4y]]></property><property name="__utmz" fullname="$_COOKIE[&#39;__utmz&#39;]" type="string" size="70" encoding="base64"><![CDATA[MTExODcyMjgxLjE0NjI4OTY2NzUuMS4xLnV0bWNzcj0oZGlyZWN0KXx1dG1jY249KGRpcmVjdCl8dXRtY21kPShub25lKQ==]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&#39;XDEBUG_SESSION&#39;]" type="string" size="8" encoding="base64"><![CDATA[UEhQU1RPUk0=]]></property><property name="SchooxSessionTest" fullname="$_COOKIE[&#39;SchooxSessionTest&#39;]" type="string" size="10" encoding="base64"><![CDATA[OUxZVkF0WnQ2aQ==]]></property><property name="_ga" fullname="$_COOKIE[&#39;_ga&#39;]" type="string" size="26" encoding="base64"><![CDATA[R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA=]]></property><property name="SchooxSession" fullname="$_COOKIE[&#39;SchooxSession&#39;]" type="string" size="26" encoding="base64"><![CDATA[OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc=]]></property><property name="ACADEMY_LOGIN" fullname="$_COOKIE[&#39;ACADEMY_LOGIN&#39;]" type="string" size="10" encoding="base64"><![CDATA[MTAzNzY2MDE0Mw==]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="30" page="0" pagesize="100"><property name="HTTP_ENV" fullname="$_SERVER[&#39;HTTP_ENV&#39;]" type="string" size="5" encoding="base64"><![CDATA[bG9jYWw=]]></property><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" type="string" size="14" encoding="base64"><![CDATA[bG9jYWxob3N0OjkxODA=]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_CACHE_CONTROL" fullname="$_SERVER[&#39;HTTP_CACHE_CONTROL&#39;]" type="string" size="9" encoding="base64"><![CDATA[bWF4LWFnZT0w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" type="string" size="74" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksaW1hZ2Uvd2VicCwqLyo7cT0wLjg=]]></property><property name="HTTP_UPGRADE_INSECURE_REQUESTS" fullname="$_SERVER[&#39;HTTP_UPGRADE_INSECURE_REQUESTS&#39;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" type="string" size="110" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgMTAuMDsgV09XNjQpIEFwcGxlV2ViS2l0LzUzNy4zNiAoS0hUTUwsIGxpa2UgR2Vja28pIENocm9tZS81MC4wLjI2NjEuMTAyIFNhZmFyaS81MzcuMzY=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" type="string" size="19" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZSwgc2RjaA==]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" type="string" size="74" encoding="base64"><![CDATA[ZWwsZW47cT0wLjgsZnI7cT0wLjYsa287cT0wLjQsZXM7cT0wLjIsZGU7cT0wLjIsbmI7cT0wLjIsdHI7cT0wLjIscnU7cT0wLjI=]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" type="string" size="295" encoding="base64"><![CDATA[X191dG1hPTExMTg3MjI4MS4yOTU3MzUwNTIuMTQ2Mjg4MTY4MC4xNDYyODk2Njc1LjE0NjMwNDE2MzguMjsgX191dG16PTExMTg3MjI4MS4xNDYyODk2Njc1LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk7IFhERUJVR19TRVNTSU9OPVBIUFNUT1JNOyBTY2hvb3hTZXNzaW9uVGVzdD05TFlWQXRadDZpOyBfZ2E9R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA7IFNjaG9veFNlc3Npb249OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc7IEFDQURFTVlfTE9HSU49MTAzNzY2MDE0Mw==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" type="string" size="29" encoding="base64"><![CDATA[L3NiaW46L3Vzci9zYmluOi9iaW46L3Vzci9iaW4=]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" type="string" size="72" encoding="base64"><![CDATA[PGFkZHJlc3M+QXBhY2hlLzIuMi4xNSAoQ2VudE9TKSBTZXJ2ZXIgYXQgbG9jYWxob3N0IFBvcnQgOTE4MDwvYWRkcmVzcz4K]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" type="string" size="22" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4xNSAoQ2VudE9TKQ==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" type="string" size="9" encoding="base64"><![CDATA[MTAuMC4yLjE1]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" type="string" size="4" encoding="base64"><![CDATA[OTE4MA==]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" type="string" size="8" encoding="base64"><![CDATA[MTAuMC4yLjI=]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" type="string" size="13" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbA==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" type="string" size="14" encoding="base64"><![CDATA[cm9vdEBsb2NhbGhvc3Q=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" type="string" size="30" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbC9ibGFkZS94ZGVidWcucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" type="string" size="5" encoding="base64"><![CDATA[NTcxMDI=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" type="float"><![CDATA[1463993233.45]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" type="int"><![CDATA[1463993233]]></property></property></response>

<- context_get -i 17 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="17" context="2"></response>

<- step_over -i 18
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="18" status="break" reason="ok"><xdebug:message filename="file:///vagrant/blade/xdebug.php" lineno="6"></xdebug:message></response>

<- stack_get -i 19
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="19"><stack where="{main}" level="0" type="file" filename="file:///vagrant/blade/xdebug.php" lineno="6"></stack></response>

<- context_names -i 20 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="20"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 21 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="21" context="0"><property name="$settings" fullname="$settings" type="array" children="0" numchildren="0" page="0" pagesize="100"></property></response>

<- context_get -i 22 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="22" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="7" page="0" pagesize="100"><property name="__utma" fullname="$_COOKIE[&#39;__utma&#39;]" type="string" size="54" encoding="base64"><![CDATA[MTExODcyMjgxLjI5NTczNTA1Mi4xNDYyODgxNjgwLjE0NjI4OTY2NzUuMTQ2MzA0MTYzOC4y]]></property><property name="__utmz" fullname="$_COOKIE[&#39;__utmz&#39;]" type="string" size="70" encoding="base64"><![CDATA[MTExODcyMjgxLjE0NjI4OTY2NzUuMS4xLnV0bWNzcj0oZGlyZWN0KXx1dG1jY249KGRpcmVjdCl8dXRtY21kPShub25lKQ==]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&#39;XDEBUG_SESSION&#39;]" type="string" size="8" encoding="base64"><![CDATA[UEhQU1RPUk0=]]></property><property name="SchooxSessionTest" fullname="$_COOKIE[&#39;SchooxSessionTest&#39;]" type="string" size="10" encoding="base64"><![CDATA[OUxZVkF0WnQ2aQ==]]></property><property name="_ga" fullname="$_COOKIE[&#39;_ga&#39;]" type="string" size="26" encoding="base64"><![CDATA[R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA=]]></property><property name="SchooxSession" fullname="$_COOKIE[&#39;SchooxSession&#39;]" type="string" size="26" encoding="base64"><![CDATA[OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc=]]></property><property name="ACADEMY_LOGIN" fullname="$_COOKIE[&#39;ACADEMY_LOGIN&#39;]" type="string" size="10" encoding="base64"><![CDATA[MTAzNzY2MDE0Mw==]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="30" page="0" pagesize="100"><property name="HTTP_ENV" fullname="$_SERVER[&#39;HTTP_ENV&#39;]" type="string" size="5" encoding="base64"><![CDATA[bG9jYWw=]]></property><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" type="string" size="14" encoding="base64"><![CDATA[bG9jYWxob3N0OjkxODA=]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_CACHE_CONTROL" fullname="$_SERVER[&#39;HTTP_CACHE_CONTROL&#39;]" type="string" size="9" encoding="base64"><![CDATA[bWF4LWFnZT0w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" type="string" size="74" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksaW1hZ2Uvd2VicCwqLyo7cT0wLjg=]]></property><property name="HTTP_UPGRADE_INSECURE_REQUESTS" fullname="$_SERVER[&#39;HTTP_UPGRADE_INSECURE_REQUESTS&#39;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" type="string" size="110" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgMTAuMDsgV09XNjQpIEFwcGxlV2ViS2l0LzUzNy4zNiAoS0hUTUwsIGxpa2UgR2Vja28pIENocm9tZS81MC4wLjI2NjEuMTAyIFNhZmFyaS81MzcuMzY=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" type="string" size="19" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZSwgc2RjaA==]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" type="string" size="74" encoding="base64"><![CDATA[ZWwsZW47cT0wLjgsZnI7cT0wLjYsa287cT0wLjQsZXM7cT0wLjIsZGU7cT0wLjIsbmI7cT0wLjIsdHI7cT0wLjIscnU7cT0wLjI=]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" type="string" size="295" encoding="base64"><![CDATA[X191dG1hPTExMTg3MjI4MS4yOTU3MzUwNTIuMTQ2Mjg4MTY4MC4xNDYyODk2Njc1LjE0NjMwNDE2MzguMjsgX191dG16PTExMTg3MjI4MS4xNDYyODk2Njc1LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk7IFhERUJVR19TRVNTSU9OPVBIUFNUT1JNOyBTY2hvb3hTZXNzaW9uVGVzdD05TFlWQXRadDZpOyBfZ2E9R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA7IFNjaG9veFNlc3Npb249OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc7IEFDQURFTVlfTE9HSU49MTAzNzY2MDE0Mw==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" type="string" size="29" encoding="base64"><![CDATA[L3NiaW46L3Vzci9zYmluOi9iaW46L3Vzci9iaW4=]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" type="string" size="72" encoding="base64"><![CDATA[PGFkZHJlc3M+QXBhY2hlLzIuMi4xNSAoQ2VudE9TKSBTZXJ2ZXIgYXQgbG9jYWxob3N0IFBvcnQgOTE4MDwvYWRkcmVzcz4K]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" type="string" size="22" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4xNSAoQ2VudE9TKQ==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" type="string" size="9" encoding="base64"><![CDATA[MTAuMC4yLjE1]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" type="string" size="4" encoding="base64"><![CDATA[OTE4MA==]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" type="string" size="8" encoding="base64"><![CDATA[MTAuMC4yLjI=]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" type="string" size="13" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbA==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" type="string" size="14" encoding="base64"><![CDATA[cm9vdEBsb2NhbGhvc3Q=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" type="string" size="30" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbC9ibGFkZS94ZGVidWcucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" type="string" size="5" encoding="base64"><![CDATA[NTcxMDI=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" type="float"><![CDATA[1463993233.45]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" type="int"><![CDATA[1463993233]]></property></property></response>

<- context_get -i 23 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="23" context="2"></response>

<- step_over -i 24
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="24" status="break" reason="ok"><xdebug:message filename="file:///vagrant/blade/xdebug.php" lineno="7"></xdebug:message></response>

<- stack_get -i 25
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="25"><stack where="{main}" level="0" type="file" filename="file:///vagrant/blade/xdebug.php" lineno="7"></stack></response>

<- context_names -i 26 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="26"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 27 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="27" context="0"><property name="$settings" fullname="$settings" type="array" children="1" numchildren="1" page="0" pagesize="100"><property name="One&#39;s Stuff" fullname="$settings[&#39;One&#39;s Stuff&#39;]" type="array" children="1" numchildren="1"></property></property></response>

<- context_get -i 28 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="28" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="7" page="0" pagesize="100"><property name="__utma" fullname="$_COOKIE[&#39;__utma&#39;]" type="string" size="54" encoding="base64"><![CDATA[MTExODcyMjgxLjI5NTczNTA1Mi4xNDYyODgxNjgwLjE0NjI4OTY2NzUuMTQ2MzA0MTYzOC4y]]></property><property name="__utmz" fullname="$_COOKIE[&#39;__utmz&#39;]" type="string" size="70" encoding="base64"><![CDATA[MTExODcyMjgxLjE0NjI4OTY2NzUuMS4xLnV0bWNzcj0oZGlyZWN0KXx1dG1jY249KGRpcmVjdCl8dXRtY21kPShub25lKQ==]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&#39;XDEBUG_SESSION&#39;]" type="string" size="8" encoding="base64"><![CDATA[UEhQU1RPUk0=]]></property><property name="SchooxSessionTest" fullname="$_COOKIE[&#39;SchooxSessionTest&#39;]" type="string" size="10" encoding="base64"><![CDATA[OUxZVkF0WnQ2aQ==]]></property><property name="_ga" fullname="$_COOKIE[&#39;_ga&#39;]" type="string" size="26" encoding="base64"><![CDATA[R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA=]]></property><property name="SchooxSession" fullname="$_COOKIE[&#39;SchooxSession&#39;]" type="string" size="26" encoding="base64"><![CDATA[OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc=]]></property><property name="ACADEMY_LOGIN" fullname="$_COOKIE[&#39;ACADEMY_LOGIN&#39;]" type="string" size="10" encoding="base64"><![CDATA[MTAzNzY2MDE0Mw==]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="30" page="0" pagesize="100"><property name="HTTP_ENV" fullname="$_SERVER[&#39;HTTP_ENV&#39;]" type="string" size="5" encoding="base64"><![CDATA[bG9jYWw=]]></property><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" type="string" size="14" encoding="base64"><![CDATA[bG9jYWxob3N0OjkxODA=]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_CACHE_CONTROL" fullname="$_SERVER[&#39;HTTP_CACHE_CONTROL&#39;]" type="string" size="9" encoding="base64"><![CDATA[bWF4LWFnZT0w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" type="string" size="74" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksaW1hZ2Uvd2VicCwqLyo7cT0wLjg=]]></property><property name="HTTP_UPGRADE_INSECURE_REQUESTS" fullname="$_SERVER[&#39;HTTP_UPGRADE_INSECURE_REQUESTS&#39;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" type="string" size="110" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgMTAuMDsgV09XNjQpIEFwcGxlV2ViS2l0LzUzNy4zNiAoS0hUTUwsIGxpa2UgR2Vja28pIENocm9tZS81MC4wLjI2NjEuMTAyIFNhZmFyaS81MzcuMzY=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" type="string" size="19" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZSwgc2RjaA==]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" type="string" size="74" encoding="base64"><![CDATA[ZWwsZW47cT0wLjgsZnI7cT0wLjYsa287cT0wLjQsZXM7cT0wLjIsZGU7cT0wLjIsbmI7cT0wLjIsdHI7cT0wLjIscnU7cT0wLjI=]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" type="string" size="295" encoding="base64"><![CDATA[X191dG1hPTExMTg3MjI4MS4yOTU3MzUwNTIuMTQ2Mjg4MTY4MC4xNDYyODk2Njc1LjE0NjMwNDE2MzguMjsgX191dG16PTExMTg3MjI4MS4xNDYyODk2Njc1LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk7IFhERUJVR19TRVNTSU9OPVBIUFNUT1JNOyBTY2hvb3hTZXNzaW9uVGVzdD05TFlWQXRadDZpOyBfZ2E9R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA7IFNjaG9veFNlc3Npb249OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc7IEFDQURFTVlfTE9HSU49MTAzNzY2MDE0Mw==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" type="string" size="29" encoding="base64"><![CDATA[L3NiaW46L3Vzci9zYmluOi9iaW46L3Vzci9iaW4=]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" type="string" size="72" encoding="base64"><![CDATA[PGFkZHJlc3M+QXBhY2hlLzIuMi4xNSAoQ2VudE9TKSBTZXJ2ZXIgYXQgbG9jYWxob3N0IFBvcnQgOTE4MDwvYWRkcmVzcz4K]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" type="string" size="22" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4xNSAoQ2VudE9TKQ==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" type="string" size="9" encoding="base64"><![CDATA[MTAuMC4yLjE1]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" type="string" size="4" encoding="base64"><![CDATA[OTE4MA==]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" type="string" size="8" encoding="base64"><![CDATA[MTAuMC4yLjI=]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" type="string" size="13" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbA==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" type="string" size="14" encoding="base64"><![CDATA[cm9vdEBsb2NhbGhvc3Q=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" type="string" size="30" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbC9ibGFkZS94ZGVidWcucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" type="string" size="5" encoding="base64"><![CDATA[NTcxMDI=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" type="float"><![CDATA[1463993233.45]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" type="int"><![CDATA[1463993233]]></property></property></response>

<- context_get -i 29 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="29" context="2"></response>

<- step_over -i 30
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="30" status="break" reason="ok"><xdebug:message filename="file:///vagrant/blade/xdebug.php" lineno="10"></xdebug:message></response>

<- stack_get -i 31
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="31"><stack where="{main}" level="0" type="file" filename="file:///vagrant/blade/xdebug.php" lineno="10"></stack></response>

<- context_names -i 32 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="32"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 33 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="33" context="0"><property name="$settings" fullname="$settings" type="array" children="1" numchildren="2" page="0" pagesize="100"><property name="One&#39;s Stuff" fullname="$settings[&#39;One&#39;s Stuff&#39;]" type="array" children="1" numchildren="1"></property><property name="Another&#39;s Stuff" fullname="$settings[&#39;Another&#39;s Stuff&#39;]" type="array" children="1" numchildren="1"></property></property></response>

<- context_get -i 34 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="34" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="7" page="0" pagesize="100"><property name="__utma" fullname="$_COOKIE[&#39;__utma&#39;]" type="string" size="54" encoding="base64"><![CDATA[MTExODcyMjgxLjI5NTczNTA1Mi4xNDYyODgxNjgwLjE0NjI4OTY2NzUuMTQ2MzA0MTYzOC4y]]></property><property name="__utmz" fullname="$_COOKIE[&#39;__utmz&#39;]" type="string" size="70" encoding="base64"><![CDATA[MTExODcyMjgxLjE0NjI4OTY2NzUuMS4xLnV0bWNzcj0oZGlyZWN0KXx1dG1jY249KGRpcmVjdCl8dXRtY21kPShub25lKQ==]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&#39;XDEBUG_SESSION&#39;]" type="string" size="8" encoding="base64"><![CDATA[UEhQU1RPUk0=]]></property><property name="SchooxSessionTest" fullname="$_COOKIE[&#39;SchooxSessionTest&#39;]" type="string" size="10" encoding="base64"><![CDATA[OUxZVkF0WnQ2aQ==]]></property><property name="_ga" fullname="$_COOKIE[&#39;_ga&#39;]" type="string" size="26" encoding="base64"><![CDATA[R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA=]]></property><property name="SchooxSession" fullname="$_COOKIE[&#39;SchooxSession&#39;]" type="string" size="26" encoding="base64"><![CDATA[OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc=]]></property><property name="ACADEMY_LOGIN" fullname="$_COOKIE[&#39;ACADEMY_LOGIN&#39;]" type="string" size="10" encoding="base64"><![CDATA[MTAzNzY2MDE0Mw==]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="30" page="0" pagesize="100"><property name="HTTP_ENV" fullname="$_SERVER[&#39;HTTP_ENV&#39;]" type="string" size="5" encoding="base64"><![CDATA[bG9jYWw=]]></property><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" type="string" size="14" encoding="base64"><![CDATA[bG9jYWxob3N0OjkxODA=]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_CACHE_CONTROL" fullname="$_SERVER[&#39;HTTP_CACHE_CONTROL&#39;]" type="string" size="9" encoding="base64"><![CDATA[bWF4LWFnZT0w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" type="string" size="74" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksaW1hZ2Uvd2VicCwqLyo7cT0wLjg=]]></property><property name="HTTP_UPGRADE_INSECURE_REQUESTS" fullname="$_SERVER[&#39;HTTP_UPGRADE_INSECURE_REQUESTS&#39;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" type="string" size="110" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgMTAuMDsgV09XNjQpIEFwcGxlV2ViS2l0LzUzNy4zNiAoS0hUTUwsIGxpa2UgR2Vja28pIENocm9tZS81MC4wLjI2NjEuMTAyIFNhZmFyaS81MzcuMzY=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" type="string" size="19" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZSwgc2RjaA==]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" type="string" size="74" encoding="base64"><![CDATA[ZWwsZW47cT0wLjgsZnI7cT0wLjYsa287cT0wLjQsZXM7cT0wLjIsZGU7cT0wLjIsbmI7cT0wLjIsdHI7cT0wLjIscnU7cT0wLjI=]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" type="string" size="295" encoding="base64"><![CDATA[X191dG1hPTExMTg3MjI4MS4yOTU3MzUwNTIuMTQ2Mjg4MTY4MC4xNDYyODk2Njc1LjE0NjMwNDE2MzguMjsgX191dG16PTExMTg3MjI4MS4xNDYyODk2Njc1LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk7IFhERUJVR19TRVNTSU9OPVBIUFNUT1JNOyBTY2hvb3hTZXNzaW9uVGVzdD05TFlWQXRadDZpOyBfZ2E9R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA7IFNjaG9veFNlc3Npb249OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc7IEFDQURFTVlfTE9HSU49MTAzNzY2MDE0Mw==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" type="string" size="29" encoding="base64"><![CDATA[L3NiaW46L3Vzci9zYmluOi9iaW46L3Vzci9iaW4=]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" type="string" size="72" encoding="base64"><![CDATA[PGFkZHJlc3M+QXBhY2hlLzIuMi4xNSAoQ2VudE9TKSBTZXJ2ZXIgYXQgbG9jYWxob3N0IFBvcnQgOTE4MDwvYWRkcmVzcz4K]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" type="string" size="22" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4xNSAoQ2VudE9TKQ==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" type="string" size="9" encoding="base64"><![CDATA[MTAuMC4yLjE1]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" type="string" size="4" encoding="base64"><![CDATA[OTE4MA==]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" type="string" size="8" encoding="base64"><![CDATA[MTAuMC4yLjI=]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" type="string" size="13" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbA==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" type="string" size="14" encoding="base64"><![CDATA[cm9vdEBsb2NhbGhvc3Q=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" type="string" size="30" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbC9ibGFkZS94ZGVidWcucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" type="string" size="5" encoding="base64"><![CDATA[NTcxMDI=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" type="float"><![CDATA[1463993233.45]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" type="int"><![CDATA[1463993233]]></property></property></response>

<- context_get -i 35 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="35" context="2"></response>

<- step_over -i 36
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="36" status="break" reason="ok"><xdebug:message filename="file:///vagrant/blade/xdebug.php" lineno="11"></xdebug:message></response>

<- stack_get -i 37
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="37"><stack where="{main}" level="0" type="file" filename="file:///vagrant/blade/xdebug.php" lineno="11"></stack></response>

<- context_names -i 38 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="38"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 39 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="39" context="0"><property name="$settings" fullname="$settings" type="array" children="1" numchildren="3" page="0" pagesize="100"><property name="One&#39;s Stuff" fullname="$settings[&#39;One&#39;s Stuff&#39;]" type="array" children="1" numchildren="1"></property><property name="Another&#39;s Stuff" fullname="$settings[&#39;Another&#39;s Stuff&#39;]" type="array" children="1" numchildren="1"></property><property name="Ones Stuff" fullname="$settings[&#39;Ones Stuff&#39;]" type="array" children="1" numchildren="1"></property></property></response>

<- context_get -i 40 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="40" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="7" page="0" pagesize="100"><property name="__utma" fullname="$_COOKIE[&#39;__utma&#39;]" type="string" size="54" encoding="base64"><![CDATA[MTExODcyMjgxLjI5NTczNTA1Mi4xNDYyODgxNjgwLjE0NjI4OTY2NzUuMTQ2MzA0MTYzOC4y]]></property><property name="__utmz" fullname="$_COOKIE[&#39;__utmz&#39;]" type="string" size="70" encoding="base64"><![CDATA[MTExODcyMjgxLjE0NjI4OTY2NzUuMS4xLnV0bWNzcj0oZGlyZWN0KXx1dG1jY249KGRpcmVjdCl8dXRtY21kPShub25lKQ==]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&#39;XDEBUG_SESSION&#39;]" type="string" size="8" encoding="base64"><![CDATA[UEhQU1RPUk0=]]></property><property name="SchooxSessionTest" fullname="$_COOKIE[&#39;SchooxSessionTest&#39;]" type="string" size="10" encoding="base64"><![CDATA[OUxZVkF0WnQ2aQ==]]></property><property name="_ga" fullname="$_COOKIE[&#39;_ga&#39;]" type="string" size="26" encoding="base64"><![CDATA[R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA=]]></property><property name="SchooxSession" fullname="$_COOKIE[&#39;SchooxSession&#39;]" type="string" size="26" encoding="base64"><![CDATA[OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc=]]></property><property name="ACADEMY_LOGIN" fullname="$_COOKIE[&#39;ACADEMY_LOGIN&#39;]" type="string" size="10" encoding="base64"><![CDATA[MTAzNzY2MDE0Mw==]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="30" page="0" pagesize="100"><property name="HTTP_ENV" fullname="$_SERVER[&#39;HTTP_ENV&#39;]" type="string" size="5" encoding="base64"><![CDATA[bG9jYWw=]]></property><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" type="string" size="14" encoding="base64"><![CDATA[bG9jYWxob3N0OjkxODA=]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_CACHE_CONTROL" fullname="$_SERVER[&#39;HTTP_CACHE_CONTROL&#39;]" type="string" size="9" encoding="base64"><![CDATA[bWF4LWFnZT0w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" type="string" size="74" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksaW1hZ2Uvd2VicCwqLyo7cT0wLjg=]]></property><property name="HTTP_UPGRADE_INSECURE_REQUESTS" fullname="$_SERVER[&#39;HTTP_UPGRADE_INSECURE_REQUESTS&#39;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" type="string" size="110" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgMTAuMDsgV09XNjQpIEFwcGxlV2ViS2l0LzUzNy4zNiAoS0hUTUwsIGxpa2UgR2Vja28pIENocm9tZS81MC4wLjI2NjEuMTAyIFNhZmFyaS81MzcuMzY=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" type="string" size="19" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZSwgc2RjaA==]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" type="string" size="74" encoding="base64"><![CDATA[ZWwsZW47cT0wLjgsZnI7cT0wLjYsa287cT0wLjQsZXM7cT0wLjIsZGU7cT0wLjIsbmI7cT0wLjIsdHI7cT0wLjIscnU7cT0wLjI=]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" type="string" size="295" encoding="base64"><![CDATA[X191dG1hPTExMTg3MjI4MS4yOTU3MzUwNTIuMTQ2Mjg4MTY4MC4xNDYyODk2Njc1LjE0NjMwNDE2MzguMjsgX191dG16PTExMTg3MjI4MS4xNDYyODk2Njc1LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk7IFhERUJVR19TRVNTSU9OPVBIUFNUT1JNOyBTY2hvb3hTZXNzaW9uVGVzdD05TFlWQXRadDZpOyBfZ2E9R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA7IFNjaG9veFNlc3Npb249OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc7IEFDQURFTVlfTE9HSU49MTAzNzY2MDE0Mw==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" type="string" size="29" encoding="base64"><![CDATA[L3NiaW46L3Vzci9zYmluOi9iaW46L3Vzci9iaW4=]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" type="string" size="72" encoding="base64"><![CDATA[PGFkZHJlc3M+QXBhY2hlLzIuMi4xNSAoQ2VudE9TKSBTZXJ2ZXIgYXQgbG9jYWxob3N0IFBvcnQgOTE4MDwvYWRkcmVzcz4K]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" type="string" size="22" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4xNSAoQ2VudE9TKQ==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" type="string" size="9" encoding="base64"><![CDATA[MTAuMC4yLjE1]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" type="string" size="4" encoding="base64"><![CDATA[OTE4MA==]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" type="string" size="8" encoding="base64"><![CDATA[MTAuMC4yLjI=]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" type="string" size="13" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbA==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" type="string" size="14" encoding="base64"><![CDATA[cm9vdEBsb2NhbGhvc3Q=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" type="string" size="30" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbC9ibGFkZS94ZGVidWcucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" type="string" size="5" encoding="base64"><![CDATA[NTcxMDI=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" type="float"><![CDATA[1463993233.45]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" type="int"><![CDATA[1463993233]]></property></property></response>

<- context_get -i 41 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="41" context="2"></response>

<- step_over -i 42
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="42" status="break" reason="ok"><xdebug:message filename="file:///vagrant/blade/xdebug.php" lineno="13"></xdebug:message></response>

<- stack_get -i 43
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="43"><stack where="{main}" level="0" type="file" filename="file:///vagrant/blade/xdebug.php" lineno="13"></stack></response>

<- context_names -i 44 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="44"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 45 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="45" context="0"><property name="$settings" fullname="$settings" type="array" children="1" numchildren="4" page="0" pagesize="100"><property name="One&#39;s Stuff" fullname="$settings[&#39;One&#39;s Stuff&#39;]" type="array" children="1" numchildren="1"></property><property name="Another&#39;s Stuff" fullname="$settings[&#39;Another&#39;s Stuff&#39;]" type="array" children="1" numchildren="1"></property><property name="Ones Stuff" fullname="$settings[&#39;Ones Stuff&#39;]" type="array" children="1" numchildren="1"></property><property name="Anothers Stuff" fullname="$settings[&#39;Anothers Stuff&#39;]" type="array" children="1" numchildren="1"></property></property></response>

<- context_get -i 46 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="46" context="1"><property name="$_COOKIE" fullname="$_COOKIE" type="array" children="1" numchildren="7" page="0" pagesize="100"><property name="__utma" fullname="$_COOKIE[&#39;__utma&#39;]" type="string" size="54" encoding="base64"><![CDATA[MTExODcyMjgxLjI5NTczNTA1Mi4xNDYyODgxNjgwLjE0NjI4OTY2NzUuMTQ2MzA0MTYzOC4y]]></property><property name="__utmz" fullname="$_COOKIE[&#39;__utmz&#39;]" type="string" size="70" encoding="base64"><![CDATA[MTExODcyMjgxLjE0NjI4OTY2NzUuMS4xLnV0bWNzcj0oZGlyZWN0KXx1dG1jY249KGRpcmVjdCl8dXRtY21kPShub25lKQ==]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&#39;XDEBUG_SESSION&#39;]" type="string" size="8" encoding="base64"><![CDATA[UEhQU1RPUk0=]]></property><property name="SchooxSessionTest" fullname="$_COOKIE[&#39;SchooxSessionTest&#39;]" type="string" size="10" encoding="base64"><![CDATA[OUxZVkF0WnQ2aQ==]]></property><property name="_ga" fullname="$_COOKIE[&#39;_ga&#39;]" type="string" size="26" encoding="base64"><![CDATA[R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA=]]></property><property name="SchooxSession" fullname="$_COOKIE[&#39;SchooxSession&#39;]" type="string" size="26" encoding="base64"><![CDATA[OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc=]]></property><property name="ACADEMY_LOGIN" fullname="$_COOKIE[&#39;ACADEMY_LOGIN&#39;]" type="string" size="10" encoding="base64"><![CDATA[MTAzNzY2MDE0Mw==]]></property></property><property name="$_ENV" fullname="$_ENV" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_REQUEST" fullname="$_REQUEST" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_SERVER" fullname="$_SERVER" type="array" children="1" numchildren="30" page="0" pagesize="100"><property name="HTTP_ENV" fullname="$_SERVER[&#39;HTTP_ENV&#39;]" type="string" size="5" encoding="base64"><![CDATA[bG9jYWw=]]></property><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" type="string" size="14" encoding="base64"><![CDATA[bG9jYWxob3N0OjkxODA=]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="HTTP_CACHE_CONTROL" fullname="$_SERVER[&#39;HTTP_CACHE_CONTROL&#39;]" type="string" size="9" encoding="base64"><![CDATA[bWF4LWFnZT0w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" type="string" size="74" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksaW1hZ2Uvd2VicCwqLyo7cT0wLjg=]]></property><property name="HTTP_UPGRADE_INSECURE_REQUESTS" fullname="$_SERVER[&#39;HTTP_UPGRADE_INSECURE_REQUESTS&#39;]" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" type="string" size="110" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgMTAuMDsgV09XNjQpIEFwcGxlV2ViS2l0LzUzNy4zNiAoS0hUTUwsIGxpa2UgR2Vja28pIENocm9tZS81MC4wLjI2NjEuMTAyIFNhZmFyaS81MzcuMzY=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" type="string" size="19" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZSwgc2RjaA==]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" type="string" size="74" encoding="base64"><![CDATA[ZWwsZW47cT0wLjgsZnI7cT0wLjYsa287cT0wLjQsZXM7cT0wLjIsZGU7cT0wLjIsbmI7cT0wLjIsdHI7cT0wLjIscnU7cT0wLjI=]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" type="string" size="295" encoding="base64"><![CDATA[X191dG1hPTExMTg3MjI4MS4yOTU3MzUwNTIuMTQ2Mjg4MTY4MC4xNDYyODk2Njc1LjE0NjMwNDE2MzguMjsgX191dG16PTExMTg3MjI4MS4xNDYyODk2Njc1LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk7IFhERUJVR19TRVNTSU9OPVBIUFNUT1JNOyBTY2hvb3hTZXNzaW9uVGVzdD05TFlWQXRadDZpOyBfZ2E9R0ExLjEuMjk1NzM1MDUyLjE0NjI4ODE2ODA7IFNjaG9veFNlc3Npb249OGV0NnVhaGZ2ZjNjOXA5MWk2ZWx2cm1hZDc7IEFDQURFTVlfTE9HSU49MTAzNzY2MDE0Mw==]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" type="string" size="29" encoding="base64"><![CDATA[L3NiaW46L3Vzci9zYmluOi9iaW46L3Vzci9iaW4=]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" type="string" size="72" encoding="base64"><![CDATA[PGFkZHJlc3M+QXBhY2hlLzIuMi4xNSAoQ2VudE9TKSBTZXJ2ZXIgYXQgbG9jYWxob3N0IFBvcnQgOTE4MDwvYWRkcmVzcz4K]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" type="string" size="22" encoding="base64"><![CDATA[QXBhY2hlLzIuMi4xNSAoQ2VudE9TKQ==]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" type="string" size="9" encoding="base64"><![CDATA[bG9jYWxob3N0]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" type="string" size="9" encoding="base64"><![CDATA[MTAuMC4yLjE1]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" type="string" size="4" encoding="base64"><![CDATA[OTE4MA==]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" type="string" size="8" encoding="base64"><![CDATA[MTAuMC4yLjI=]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" type="string" size="13" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbA==]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" type="string" size="14" encoding="base64"><![CDATA[cm9vdEBsb2NhbGhvc3Q=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" type="string" size="30" encoding="base64"><![CDATA[L3Zhci93d3cvaHRtbC9ibGFkZS94ZGVidWcucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" type="string" size="5" encoding="base64"><![CDATA[NTcxMDI=]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" type="string" size="3" encoding="base64"><![CDATA[R0VU]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" type="string" size="17" encoding="base64"><![CDATA[L2JsYWRlL3hkZWJ1Zy5waHA=]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" type="float"><![CDATA[1463993233.45]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" type="int"><![CDATA[1463993233]]></property></property></response>

<- context_get -i 47 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="47" context="2"></response>

<- property_get -i 48 -n "$settings['Another's Stuff']" -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="48" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

<- property_get -i 49 -n "$settings['Anothers Stuff']" -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="49"><property name="$settings[&#39;Anothers Stuff&#39;]" fullname="$settings[&#39;Anothers Stuff&#39;]" type="array" children="1" numchildren="1" page="0" pagesize="100"><property name="id" fullname="$settings[&#39;Anothers Stuff&#39;][&#39;id&#39;]" type="int"><![CDATA[4]]></property></property></response>

<- property_get -i 50 -n "$settings['One's Stuff']" -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="50" status="break" reason="ok"><error code="300"><message><![CDATA[can not get property]]></message></error></response>

<- property_get -i 51 -n "$settings['Ones Stuff']" -d 0 -c 0 -p 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="property_get" transaction_id="51"><property name="$settings[&#39;Ones Stuff&#39;]" fullname="$settings[&#39;Ones Stuff&#39;]" type="array" children="1" numchildren="1" page="0" pagesize="100"><property name="id" fullname="$settings[&#39;Ones Stuff&#39;][&#39;id&#39;]" type="int"><![CDATA[3]]></property></property></response>

<- step_over -i 52
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_over" transaction_id="52" status="stopping" reason="ok"></response>

<- run -i 53
Log closed at 2016-05-23 08:47:31
xdebug log.txt (56,972 bytes)

iliasm

2016-05-23 09:13

reporter   ~0003607

log added. it logs the script shown above, line by line debugging. At line 103 of the log is an example of how it fails to evaluate $settings. thank you!

derick

2016-05-27 09:38

administrator   ~0003611

I can reproduce it - the fix is a bit trickier though!

derick

2017-02-08 22:02

administrator   ~0004209

Fixed in Git for 2.6.0.

Issue History

Date Modified Username Field Change
2016-05-18 13:04 iliasm New Issue
2016-05-18 13:04 iliasm File Added: xdebug_can_not_get_property.PNG
2016-05-18 13:47 derick Note Added: 0003606
2016-05-18 13:47 derick Assigned To => derick
2016-05-18 13:47 derick Status new => feedback
2016-05-23 09:09 iliasm File Added: xdebug log.txt
2016-05-23 09:13 iliasm Note Added: 0003607
2016-05-23 09:13 iliasm Status feedback => assigned
2016-05-27 09:38 derick Note Added: 0003611
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)
2016-12-04 17:07 derick Status assigned => confirmed
2017-02-08 22:02 derick Note Added: 0004209
2017-02-08 22:02 derick Status confirmed => closed
2017-02-08 22:02 derick Resolution open => fixed
2017-02-08 22:02 derick Fixed in Version => 2.6.0dev
2017-12-02 16:19 derick Fixed in Version 2.6.0dev => 2.6.0alpha1